Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 789792 - media-libs/ctl-1.5.2-r1 - /.../dpx.hh: error: streampos in std::istream {aka class std::basic_istream<char>} does not name a type (maybe gcc-11 related)
Summary: media-libs/ctl-1.5.2-r1 - /.../dpx.hh: error: streampos in std::istream {aka ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: PMASKED, PullRequest
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-13 07:53 UTC by Toralf Förster
Modified: 2021-09-20 18:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.67 KB, text/plain)
2021-05-13 07:53 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,174.84 KB, text/plain)
2021-05-13 07:53 UTC, Toralf Förster
Details
environment (environment,116.14 KB, text/plain)
2021-05-13 07:53 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,18.66 KB, application/x-bzip)
2021-05-13 07:53 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,4.86 KB, application/x-bzip)
2021-05-13 07:53 UTC, Toralf Förster
Details
media-libs:ctl-1.5.2-r1:20210513-005055.log (media-libs:ctl-1.5.2-r1:20210513-005055.log,28.60 KB, text/plain)
2021-05-13 07:53 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,29.80 KB, application/x-bzip)
2021-05-13 07:53 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-05-13 07:53:10 UTC
In file included from /var/tmp/portage/media-libs/ctl-1.5.2-r1/work/CTL-ctl-1.5.2/lib/dpx/dpx.cc:55:
/var/tmp/portage/media-libs/ctl-1.5.2-r1/work/CTL-ctl-1.5.2/lib/dpx/dpx.hh:300:31: error: ‘streampos’ in ‘std::istream’ {aka ‘class std::basic_istream<char>’} does not name a type
  300 |                 std::istream::streampos header_start;
      |                               ^~~~~~~~~
/var/tmp/portage/media-libs/ctl-1.5.2-r1/work/CTL-ctl-1.5.2/lib/dpx/dpx.cc: In constructor ‘ctl::dpx::dpx()’:
/var/tmp/portage/media-libs/ctl-1.5.2-r1/work/CTL-ctl-1.5.2/lib/dpx/dpx.cc:76:9: error: ‘header_start’ was not declared in this scope

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-abi32+64_j2-20210510-163641

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-9.3.1
 [3] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.10
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.52.1
  [2]   rust-1.52.1 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
  [1]   php7.3
  [2]   php7.4
  [3]   php8.0 *

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed May 12 23:50:25 UTC 2021

emerge -qpvO media-libs/ctl
[ebuild  N    ] media-libs/ctl-1.5.2-r1
Comment 1 Toralf Förster gentoo-dev 2021-05-13 07:53:11 UTC
Created attachment 707838 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-05-13 07:53:13 UTC
Created attachment 707841 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-05-13 07:53:14 UTC
Created attachment 707844 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-05-13 07:53:16 UTC
Created attachment 707847 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-05-13 07:53:17 UTC
Created attachment 707850 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-05-13 07:53:18 UTC
Created attachment 707853 [details]
media-libs:ctl-1.5.2-r1:20210513-005055.log
Comment 7 Toralf Förster gentoo-dev 2021-05-13 07:53:19 UTC
Created attachment 707856 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2021-07-25 22:25:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad718d7808a5c6d6f1200c2ab89b8dbdef9b7983

commit ad718d7808a5c6d6f1200c2ab89b8dbdef9b7983
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-07-25 22:22:07 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-07-25 22:23:09 +0000

    profiles: last-rite media-libs/ctl, media-libs/openexr_ctl
    
    Bug: https://bugs.gentoo.org/789792
    Bug: https://bugs.gentoo.org/715298
    Bug: https://bugs.gentoo.org/629604
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/ctl/ctl-1.5.2-r1.ebuild | 2 +-
 profiles/package.mask              | 6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)
Comment 9 Larry the Git Cow gentoo-dev 2021-07-25 22:45:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e79e0fd0d0a87927ca39281d21713ee674f02fd

commit 7e79e0fd0d0a87927ca39281d21713ee674f02fd
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-07-25 22:45:31 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-07-25 22:45:31 +0000

    profiles: fix mask entry/message
    
    Previous full mask was eaten by editor(?)
    
    Bug: https://bugs.gentoo.org/715298
    Bug: https://bugs.gentoo.org/789792
    Bug: https://bugs.gentoo.org/629604
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)
Comment 10 Larry the Git Cow gentoo-dev 2021-08-04 19:41:55 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57890a9b16ac77a695a0b2f408c3f8cce7d66888

commit 57890a9b16ac77a695a0b2f408c3f8cce7d66888
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2021-07-30 16:07:20 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-04 19:41:46 +0000

    media-libs/ctl: fix to build with gcc-11
    
    - bump to EAPI 7
    - update to use cmake.eclass
    - fix unit tests
    
    Bug: https://bugs.gentoo.org/715298
    Closes: https://bugs.gentoo.org/789792
    Closes: https://bugs.gentoo.org/629604
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/ctl/ctl-1.5.2-r2.ebuild                 | 41 ++++++++++++++
 .../files/ctl-1.5.2-fix-to-build-with-gcc-11.patch | 25 +++++++++
 .../ctl/files/ctl-1.5.2-fix-unit-tests.patch       | 65 ++++++++++++++++++++++
 .../ctl/files/ctl-1.5.2-install-dpx-library.patch  | 21 +++++++
 4 files changed, 152 insertions(+)